Bug 1026989 - SELinux is preventing /usr/bin/boinc_client from 'name_connect' accesses on the tcp_socket .
SELinux is preventing /usr/bin/boinc_client from 'name_connect' accesses on t...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:d68e7b5a9755b6f00f86dcf0af0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 15:00 EST by Marc Umbricht
Modified: 2015-02-18 06:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:39:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Umbricht 2013-11-05 15:00:54 EST
Description of problem:
I'm not sure if this is a bug with SELinux or BOINC.  I had a lot of trouble getting boinc running, but it seems to be working fine now (though I can't recall exactly what I did).  I did not enact the policy exception, does anyone who has experience with boinc know if I should or not?
SELinux is preventing /usr/bin/boinc_client from 'name_connect' accesses on the tcp_socket .

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that boinc_client should be allowed name_connect access on the  tcp_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep boinc_client /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:boinc_t:s0
Target Context                system_u:object_r:xserver_port_t:s0
Target Objects                 [ tcp_socket ]
Source                        boinc_client
Source Path                   /usr/bin/boinc_client
Port                          6000
Host                          (removed)
Source RPM Packages           boinc-client-7.0.65-1.git79b00ef.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.10.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.6-200.fc19.x86_64 #1 SMP Fri
                              Oct 18 22:34:18 UTC 2013 x86_64 x86_64
Alert Count                   14
First Seen                    2013-09-29 13:47:38 CEST
Last Seen                     2013-11-02 17:18:24 CET
Local ID                      e1ccb8ee-ad9b-47bb-a272-d847b09a0178

Raw Audit Messages
type=AVC msg=audit(1383409104.376:486): avc:  denied  { name_connect } for  pid=1215 comm="boinc_client" dest=6000 scontext=system_u:system_r:boinc_t:s0 tcontext=system_u:object_r:xserver_port_t:s0 tclass=tcp_socket


type=SYSCALL msg=audit(1383409104.376:486): arch=x86_64 syscall=connect success=no exit=EACCES a0=4 a1=1d30c00 a2=10 a3=7fff74326284 items=0 ppid=1213 pid=1215 auid=4294967295 uid=991 gid=989 euid=991 suid=991 fsuid=991 egid=989 sgid=989 fsgid=989 ses=4294967295 tty=(none) comm=boinc_client exe=/usr/bin/boinc_client subj=system_u:system_r:boinc_t:s0 key=(null)

Hash: boinc_client,boinc_t,xserver_port_t,tcp_socket,name_connect

Additional info:
reporter:       libreport-2.1.9
hashmarkername: setroubleshoot
kernel:         3.11.6-201.fc19.x86_64
type:           libreport

Potential duplicate: bug 678661
Comment 1 Miroslav Grepl 2013-11-11 08:11:32 EST
Lukas,
could you check F18 policy if we a fix here?
Comment 2 Fedora End Of Life 2015-01-09 17:21:28 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-18 06:39:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.